Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class ObjectBrowser

    java.lang.Object
      groovy.inspect.swingui.ObjectBrowser

    class ObjectBrowser
    extends Object

A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with `ObjectBrowser.inspect(myObject)` .

Authors:
  Dierk Koenig

Property Summary
`def` | `fieldTable`
`def` | `frame`
`def` | `inspector`
`def` | `itemTable`
`def` | `mapTable`
`def` | `methodTable`
`def` | `swing`

Method Summary
`void` | `addSorter(def table)`
`static void` | `inspect(def objectUnderInspection)`
`static void` | `main(def args)`
`void` | `run()`
`void` | `showAbout(EventObject evt)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### fieldTable

    def fieldTable

### frame

    def frame

### inspector

    def inspector

### itemTable

    def itemTable

### mapTable

    def mapTable

### methodTable

    def methodTable

### swing

    def swing

Method Detail

### addSorter

    void addSorter(def table)

### inspect

    static void inspect(def objectUnderInspection)

### main

    static void main(def args)

### run

    void run()

### showAbout

    void showAbout(EventObject evt)

Copyright © 2003-2010 The Codehaus. All rights reserved.